# SSL_SOCK_Connector.h File Reference

`#include "SSL_Export.h"`
`#include "SSL_SOCK_Stream.h"`
`#include "ace/SOCK_Connector.h"`
`#include "ace/OS_QoS.h"`
`#include "SSL_SOCK_Connector.i"`

Include dependency graph for SSL_SOCK_Connector.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SSL_SOCK_Connector
| Defines a factory that creates new <ace_ssl_sock_stream>s actively. More...

## Detailed Description

Id
  SSL_SOCK_Connector.h,v 1.26 2005/10/28 16:14:56 ossama Exp

Author:
  Ossama Othman <ossama@uci.edu>

  Carlos O'Ryan <coryan@uci.edu>

  John Heitmann

  Chris Zimman